Bug 1628188 - libiptcdata: Remove (sub)packages from Fedora 30+: python2-libiptcdata
Summary: libiptcdata: Remove (sub)packages from Fedora 30+: python2-libiptcdata
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libiptcdata
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Moore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1604602
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-12 12:35 UTC by Miro Hrončok
Modified: 2019-05-11 23:33 UTC (History)
8 users (show)

Fixed In Version: libiptcdata-1.0.5-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-11 23:33:24 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-12 12:35:41 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of libiptcdata were marked for removal:

 * python2-libiptcdata

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-01-04 23:26:19 UTC
This package doesn't build. Can we retire it entirely?

Comment 2 Miro Hrončok 2019-01-17 10:47:36 UTC
Please?

Comment 3 David Moore 2019-01-17 14:12:43 UTC
It's fine with me as long as there are no dependencies on it.

Comment 4 Miro Hrončok 2019-01-17 16:08:05 UTC
Nothing requires it. Retired.

Comment 5 Miro Hrončok 2019-02-05 17:14:42 UTC
My query was wrong. Asking for unretirement. https://pagure.io/releng/issue/8096

Comment 6 Miro Hrončok 2019-02-14 16:13:13 UTC
Unretired. Please try to fix the FTBFS.

Comment 7 Fedora Update System 2019-04-16 15:53:48 UTC
libiptcdata-1.0.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b042a87a74

Comment 8 Fedora Update System 2019-04-16 15:53:53 UTC
libiptcdata-1.0.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e82a0a5f88

Comment 9 Fedora Update System 2019-04-16 16:11:34 UTC
libiptcdata-1.0.5-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1d54444ac

Comment 10 Fedora Update System 2019-04-17 01:02:55 UTC
libiptcdata-1.0.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1d54444ac

Comment 11 Fedora Update System 2019-04-18 21:04:46 UTC
libiptcdata-1.0.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b042a87a74

Comment 12 Fedora Update System 2019-04-18 22:13:00 UTC
libiptcdata-1.0.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e82a0a5f88

Comment 13 Fedora Update System 2019-04-30 01:29:26 UTC
libiptcdata-1.0.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-05-03 03:41:19 UTC
libiptcdata-1.0.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-04 01:17:13 UTC
libiptcdata-1.0.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.